SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001320SiT!sites & contactspublic2010-05-07 08:312010-05-29 14:20
Reporternicdev 
Assigned Topaulh 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.60 LTS 
Target Version3.61 LTSFixed in Version3.61 LTS 
Summary0001320: classes.inc.php missing a global for $dbContacts
DescriptionIn Classes.inc.php(line 357), we are missing a global declaration:

357 global $now, $sit;
should be:
357 global $now, $sit, $dbContacts;

in the add() function we use 2 types of notations:
on line
375 $sql = "INSERT INTO `{$GLOBALS['dbContacts']}`

and on line
394 $sql = "UPDATE `{$dbContacts}`

we should probable use one type here:



Additional InformationError message in debug log:

2010-05-06T16:43:51+02:00 /sit360/auto.php Application Error [256] MySQL Query Error Incorrect table name '' (in line 392 of file D:\wamp\www\sit360\lib\classes.inc.php)
Context: [CONTEXT-BEGIN]
Array
(
    [now] => 1273157026
    [toReturn] => 371
    [generate_username] => 1
    [dp] => Array
        (
            [email] => No
            [phone] => No
            [address] => No
        )

    [sql] => UPDATE `` SET username='371' WHERE id='371'
    [result] =>
    [newid] => 371
    [username] => 371
)

[CONTEXT-END]
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
User avatar (0003153)
paulh (administrator)
2010-05-08 11:12

can repro
User avatar (0003154)
paulh (administrator)
2010-05-08 11:15

r6469 and 0fe13bc resolve this, added to 3.61 at this late stage as it would create users with no username in the db
User avatar (0003190)
ivan (administrator)
2010-05-29 14:20

Released in v3.61

- Issue History
Date Modified Username Field Change
2010-05-07 08:31 nicdev New Issue
2010-05-08 11:12 paulh Note Added: 0003153
2010-05-08 11:12 paulh Assigned To => paulh
2010-05-08 11:12 paulh Status new => assigned
2010-05-08 11:15 paulh Note Added: 0003154
2010-05-08 11:15 paulh Status assigned => resolved
2010-05-08 11:15 paulh Resolution open => fixed
2010-05-08 11:15 paulh Fixed in Version => Current SVN
2010-05-08 11:15 paulh Target Version => 3.61 LTS
2010-05-29 13:39 ivan Fixed in Version Current SVN => 3.61 LTS
2010-05-29 14:20 ivan Note Added: 0003190
2010-05-29 14:20 ivan Status resolved => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker